# Class ContractNotDeployedError

This error indicates that you attempted to use address autodetection for a contract that isn't deployed to the current network.

#### Hierarchy

- Error
  - ContractNotDeployedError

- Defined in encoder/lib/errors.ts:83

#####
Index

### Constructors

constructor

### Properties

contractName
networkId

## Constructors

### constructor

- new ContractNotDeployedError(contractName, networkId): ContractNotDeployedError

- #### Parameters

  - ##### contractName: string

  - ##### networkId: number

  #### Returns ContractNotDeployedError

  Overrides Error.constructor

  - Defined in encoder/lib/errors.ts:86

## Properties

### contractName

contractName: string

- Defined in encoder/lib/errors.ts:84

### networkId

networkId: number

- Defined in encoder/lib/errors.ts:85

Generated using TypeDoc